import { defineConfig } from "umi";
import env from "./env";
import routes from "./routes";
import proxy from "./proxy";
const { REACT_APP_ENV = "dev", NODE_ENV } = process.env;
export default defineConfig({
  outputPath: 'taian',
  npmClient: "yarn",
  plugins: [
    "@umijs/plugins/dist/antd",
    "@umijs/plugins/dist/locale",
    "@umijs/plugins/dist/layout",
    "@umijs/plugins/dist/initial-state",
    "@umijs/plugins/dist/model",
    "@umijs/plugins/dist/access",
    "umi-plugin-keep-alive"
  ],
  antd: {},
  model: {},
  initialState: {},
  define: env[REACT_APP_ENV],
  routes,
  hash: true,
  history: {
    type: 'hash',
  },
  manifest: {
    basePath: "/",
  },
  proxy: proxy[REACT_APP_ENV || "dev"],
  publicPath: NODE_ENV !== "development" ? "./" : "/",
});
